Bug 503202 - Review Request: blueproximity - A tool that locks/unlocks your screen when your bluetooth devices gets away/near from your computer
Review Request: blueproximity - A tool that locks/unlocks your screen when yo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 11:24 EDT by Jonathan Steffan
Modified: 2009-06-20 16:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-20 16:18:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2009-05-29 11:24:38 EDT
SPEC URL: http://jsteffan.fedorapeople.org/SPECS/blueproximity.spec
SRPM URL: http://jsteffan.fedorapeople.org/SRPMS/blueproximity-1.2.5-2.fc9.src.rpm

Description: 
This software helps you add a little more security to your desktop. It does so by detecting one of your bluetooth devices, most likely your mobile phone, and keeping track of its distance. If you move away from your computer and the distance is above a certain level (no measurement in meters is possible) for a given time, it automatically locks your desktop (or starts any other shell command you want).
Comment 1 Parag AN(पराग) 2009-06-01 01:56:25 EDT
1) use patch names prefixed with package name
Patch0:         blueproximity-fedorization.diff
Patch1:         blueproximity-fix-bash-script.diff
also, change %prep as
%patch0 -p0 -b .fedorization
%patch1 -p0 -b .fix-bash-script

2) no need to use vendor in desktop-file-install. See http://fedoraproject.org/wiki/PackagingGuidelines#desktop-file-install_usage
Remove fedora word from fedora-blueproximity.desktop file name.

3) files section should look like
%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README doc/
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}_base.svg

4) fix following warning
fedora-blueproximity.desktop: key "Categories" is a list and does not have a semicolon as trailing character

5) preserve timestamps by using install command as "install -p"
Comment 2 Parag AN(पराग) 2009-06-01 02:05:06 EDT
also, I think according to https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F
license for this package is GPL+
Comment 3 Parag AN(पराग) 2009-06-09 03:10:06 EDT
ping?
Comment 4 Jonathan Steffan 2009-06-18 13:13:32 EDT
Sorry for the lag. Also, apologies for the copy/paste of the spec from the failed review. I should have put some time into it as all of the changes are obvious.

SPEC URL: http://jsteffan.fedorapeople.org/SPECS/blueproximity.spec
SRPM URL:
http://jsteffan.fedorapeople.org/SRPMS/blueproximity-1.2.5-3.fc9.src.rpm
Comment 5 Parag AN(पराग) 2009-06-19 06:05:18 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1424595
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
2238a853a7f37b19160867b77bdb0a2df43449b9  blueproximity-1.2.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ desktop file installed correctly.
+ GUI App

Should:
1) blueproximity.1 is man page file. So it should be installed as man page not just documentation.
use following patch
--------------------------------------------------------------
--- blueproximity.spec	2009-06-18 22:58:54.000000000 +0530
+++ blueproximity-new.spec	2009-06-19 15:31:42.000000000 +0530
@@ -34,11 +34,13 @@
 install -d %{buildroot}%{_bindir}
 install -d %{buildroot}%{_datadir}/pixmaps/
 install -d %{buildroot}%{_datadir}/%{name}/pixmaps/
+install -d %{buildroot}%{_mandir}/man1/
 
 # Install Files
 install -p -m 0755 start_proximity.sh %{buildroot}%{_bindir}/%{name}
 install -p -m 0755 proximity.py %{buildroot}%{_datadir}/%{name}/
 install -p -m 0644 proximity.glade %{buildroot}%{_datadir}/%{name}/
+install -p -m 0644 doc/blueproximity.1 %{buildroot}%{_mandir}/man1/
 
 # Install Languages
 for i in $(ls LANG/); do
@@ -67,9 +69,10 @@
 
 %files -f %{name}.lang
 %defattr(-,root,root,-)
-%doc ChangeLog COPYING README doc/
+%doc ChangeLog COPYING README doc/manual*
 %{_datadir}/%{name}
 %{_bindir}/%{name}
+%{_mandir}/man1/blueproximity*
 %{_datadir}/applications/%{name}.desktop
 %{_datadir}/pixmaps/%{name}_base.svg
------------------------------------------------------------------------

Make sure you fix this thing and then import this package to cvs.

APPROVED.
Comment 6 Jonathan Steffan 2009-06-19 18:28:20 EDT
SPEC URL: http://jsteffan.fedorapeople.org/SPECS/blueproximity.spec
SRPM URL:
http://jsteffan.fedorapeople.org/SRPMS/blueproximity-1.2.5-4.fc9.src.rpm

New Package CVS Request
=======================
Package Name: blueproximity
Short Description: Detects you via your bluetooth devices and locks/unlocks the screen
Owners: jsteffan
Branches: F-10 F-11 EL-5
InitialCC:
Comment 7 Jason Tibbitts 2009-06-20 11:07:58 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.